| Home | Libraries | People | FAQ | More

## Struct template enable_up_moveconv_constr

boost::move_upd::enable_up_moveconv_constr

## Synopsis

    // In header: <boost/move/unique_ptr.hpp>

    template<typename T, typename D, typename U, typename E,
             typename Type = bmupmu::nat>
    struct enable_up_moveconv_constr : public boost::move_upmu::enable_if_c< unique_moveconvert_assignable< T, D, U, E >::value &&unique_deleter_is_initializable< D, E >::value, Type >
    {
    };